complexType "PartyTradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 16 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((issuer, tradeId) | (partyReference, (tradeId | versionedTradeId?)+)), originatingTradeId?
</...>

Content Model Elements (6):

  issuer (defined in TradeIdentifier complexType),
  originatingTradeId (defined in PartyTradeIdentifier complexType),
  partyReference (defined in PartyAndAccountReferences.model group),
  tradeId (defined in TradeIdentifier complexType),
  tradeId (defined in TradeIdentifier complexType),
  versionedTradeId

All Direct / Indirect Based Elements (16):

  newTradeIdentifier,
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (in portfolio),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReference),
  partyTradeIdentifier (in verificationStatusNotification),
  partyTradeIdentifier (in withdrawal),
  resultingTradeIdentifier,
  tradeIdentifier (defined in DeClear complexType),
  tradeIdentifier (defined in OptionExercise complexType),
  tradeIdentifier (defined in OptionExpiry complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (in optionExpiry),
  tradeIdentifier (in publicExecutionReportRetracted),
  tradeIdentifier (in tradeMaturity)

Known Usage Locations

- As direct type of elements (16):
  newTradeIdentifier,
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (in portfolio),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReference),
  partyTradeIdentifier (in verificationStatusNotification),
  partyTradeIdentifier (in withdrawal),
  resultingTradeIdentifier,
  tradeIdentifier (defined in DeClear complexType),
  tradeIdentifier (defined in OptionExercise complexType),
  tradeIdentifier (defined in OptionExpiry complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (in optionExpiry),
  tradeIdentifier (in publicExecutionReportRetracted),
  tradeIdentifier (in tradeMaturity)

Annotation
A type defining one or more trade identifiers allocated to the trade by a party. A link identifier allows the trade to be associated with other related trades, e.g. trades forming part of a larger structured transaction. It is expected that for external communication of trade there will be only one tradeId sent in the document per party.
Type Definition Detail

Type Derivation Tree TradeIdentifier (extension) PartyTradeIdentifier

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PartyTradeIdentifier"> <xsd:complexContent> <xsd:extension base="TradeIdentifier"> <xsd:sequence> <!--View Generation: SKIPPED linkId - PartySpecific--> <!--View Generation: SKIPPED allocationTradeId - PartySpecific--> <!--View Generation: SKIPPED blockTradeId - PartySpecific--> <xsd:element minOccurs="0" name="originatingTradeId" type="TradeIdentifier"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
originatingTradeId

  Type: | TradeIdentifier, complex content

  The trade id of the trade upon which this was based, for example the ID of the trade that was submitted for clearing if this is a cleared trade, or of the original trade if this was novated or cancelled and rebooked. The originatingEvent will explain why the trade was created.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="originatingTradeId" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.